pespin has uploaded this change for review. ( https://gerrit.osmocom.org/c/upf-benchmark/+/39888?usp=email )
Change subject: testsuites: tunend: Improve setting ip neigh in configure.sh
......................................................................
testsuites: tunend: Improve setting ip neigh in configure.sh
* Store MAC address of peers/neighs in variables at the top of the
script
* Re-arrange order of vars to have values changing depending on specific
host together.
* Remove neigh before adding it.
Change-Id: I2c8faa5da60ca51337887e3f165ae72024a3ada7
---
M testsuites/gtplab-sysmo2025/tunend/upf/eupf/configure.sh
M testsuites/gtplab-sysmo2025/tunend/upf/osmo-upf/configure.sh
2 files changed, 20 insertions(+), 10 deletions(-)
git pull ssh://gerrit.osmocom.org:29418/upf-benchmark refs/changes/88/39888/1
diff --git a/testsuites/gtplab-sysmo2025/tunend/upf/eupf/configure.sh b/testsuites/gtplab-sysmo2025/tunend/upf/eupf/configure.sh
index fcadf89..c4a7ae6 100755
--- a/testsuites/gtplab-sysmo2025/tunend/upf/eupf/configure.sh
+++ b/testsuites/gtplab-sysmo2025/tunend/upf/eupf/configure.sh
@@ -1,10 +1,12 @@
#!/bin/bash -xe
# Interface towards UPF:
-IFACE_RAN="enp2s0f1np1"
-IFACE_CN="enp2s0f0np0"
ADDR_GW_CN="172.16.31.200"
NUM_ENB=100
+IFACE_RAN="enp2s0f1np1"
+IFACE_CN="enp2s0f0np0"
+MAC_RAN_PEER="ec:0d:9a:8a:27:52"
+MAC_CN_PEER="ec:0d:9a:8a:27:53"
# Disable ethernet flow control:
sudo ethtool -A $IFACE_RAN autoneg off rx off tx off
@@ -31,15 +33,18 @@
# Set up UPF address:
sudo ip addr add 172.16.32.1/24 dev $IFACE_RAN || true
+sudo ip link set up dev $IFACE_RAN || true
sudo ip addr add 172.16.31.2/24 dev $IFACE_CN || true
+sudo ip link set up dev $IFACE_CN || true
# TRex doesn't answer ARPs, so we need to set up the peers:
for i in $(seq "2" "$((NUM_ENB + 1))"); do
# Delete needed to potentially drop incomplet entries created when trying to Tx traffic:
- sudo ip neigh del "$(printf "172.16.32.%02u" "$i")" lladdr ec:0d:9a:8a:27:52 nud permanent dev $IFACE_RAN || true
- sudo ip neigh add "$(printf "172.16.32.%02u" "$i")" lladdr ec:0d:9a:8a:27:52 nud permanent dev $IFACE_RAN || true
+ sudo ip neigh del "$(printf "172.16.32.%02u" "$i")" lladdr $MAC_RAN_PEER nud permanent dev $IFACE_RAN || true
+ sudo ip neigh add "$(printf "172.16.32.%02u" "$i")" lladdr $MAC_RAN_PEER nud permanent dev $IFACE_RAN || true
done
-sudo ip neigh add 172.16.31.200 lladdr ec:0d:9a:8a:27:53 nud permanent dev $IFACE_CN || true
+sudo ip neigh del 172.16.31.200 lladdr $MAC_CN_PEER nud permanent dev $IFACE_CN || true
+sudo ip neigh add 172.16.31.200 lladdr $MAC_CN_PEER nud permanent dev $IFACE_CN || true
# Add route towards HTTP server on the CN side, aka "the Internet"
sudo ip route add 48.0.0.0/16 via $ADDR_GW_CN dev $IFACE_CN || true
diff --git a/testsuites/gtplab-sysmo2025/tunend/upf/osmo-upf/configure.sh b/testsuites/gtplab-sysmo2025/tunend/upf/osmo-upf/configure.sh
index 350647d..613caf2 100755
--- a/testsuites/gtplab-sysmo2025/tunend/upf/osmo-upf/configure.sh
+++ b/testsuites/gtplab-sysmo2025/tunend/upf/osmo-upf/configure.sh
@@ -1,11 +1,13 @@
#!/bin/bash -xe
# Interface towards UPF:
-IFACE_RAN="enp2s0f1np1"
-IFACE_CN="enp2s0f0np0"
IFACE_APN="apn-flood"
ADDR_GW_CN="172.16.31.200"
NUM_ENB=100
+IFACE_RAN="enp2s0f1np1"
+IFACE_CN="enp2s0f0np0"
+MAC_RAN_PEER="88:e9:a4:3b:f0:48"
+MAC_CN_PEER="88:e9:a4:3b:f0:49"
# Disable ethernet flow control:
sudo ethtool -A $IFACE_RAN autoneg off rx off tx off
@@ -32,15 +34,18 @@
# Set up UPF address:
sudo ip addr add 172.16.32.1/24 dev $IFACE_RAN || true
+sudo ip link set up dev $IFACE_RAN || true
sudo ip addr add 172.16.31.2/24 dev $IFACE_CN || true
+sudo ip link set up dev $IFACE_CN || true
# TRex doesn't answer ARPs, so we need to set up the peers:
for i in $(seq "2" "$((NUM_ENB + 1))"); do
# Delete needed to potentially drop incomplet entries created when trying to Tx traffic:
- sudo ip neigh del "$(printf "172.16.32.%02u" "$i")" lladdr ec:0d:9a:8a:27:52 nud permanent dev $IFACE_RAN || true
- sudo ip neigh add "$(printf "172.16.32.%02u" "$i")" lladdr ec:0d:9a:8a:27:52 nud permanent dev $IFACE_RAN || true
+ sudo ip neigh del "$(printf "172.16.32.%02u" "$i")" lladdr $MAC_RAN_PEER nud permanent dev $IFACE_RAN || true
+ sudo ip neigh add "$(printf "172.16.32.%02u" "$i")" lladdr $MAC_RAN_PEER nud permanent dev $IFACE_RAN || true
done
-sudo ip neigh add 172.16.31.200 lladdr ec:0d:9a:8a:27:53 nud permanent dev $IFACE_CN || true
+sudo ip neigh del 172.16.31.200 lladdr $MAC_CN_PEER nud permanent dev $IFACE_CN || true
+sudo ip neigh add 172.16.31.200 lladdr $MAC_CN_PEER nud permanent dev $IFACE_CN || true
# Add route towards HTTP server on the CN side, aka "the Internet"
sudo ip route add 48.0.0.0/16 via $ADDR_GW_CN dev $IFACE_CN || true
--
To view, visit https://gerrit.osmocom.org/c/upf-benchmark/+/39888?usp=email
To unsubscribe, or for help writing mail filters, visit https://gerrit.osmocom.org/settings?usp=email
Gerrit-MessageType: newchange
Gerrit-Project: upf-benchmark
Gerrit-Branch: master
Gerrit-Change-Id: I2c8faa5da60ca51337887e3f165ae72024a3ada7
Gerrit-Change-Number: 39888
Gerrit-PatchSet: 1
Gerrit-Owner: pespin <pespin(a)sysmocom.de>
Attention is currently required from: laforge.
Hello Jenkins Builder, laforge,
I'd like you to reexamine a change. Please visit
https://gerrit.osmocom.org/c/pysim/+/39780?usp=email
to look at the new patch set (#4).
Change subject: ara_m: add command to lock write access to the ARA-M rules.
......................................................................
ara_m: add command to lock write access to the ARA-M rules.
Recent versions of the ARA-M applet from Bertrand Martel can lock
the write access to ARA-M rules. Let's add a command for that and
some documentation.
Related: SYS#7245
Change-Id: I71581a0c9f146f9a0921093d9b53b053b4a8946c
---
M docs/shell.rst
M pySim/ara_m.py
2 files changed, 24 insertions(+), 1 deletion(-)
git pull ssh://gerrit.osmocom.org:29418/pysim refs/changes/80/39780/4
--
To view, visit https://gerrit.osmocom.org/c/pysim/+/39780?usp=email
To unsubscribe, or for help writing mail filters, visit https://gerrit.osmocom.org/settings?usp=email
Gerrit-MessageType: newpatchset
Gerrit-Project: pysim
Gerrit-Branch: master
Gerrit-Change-Id: I71581a0c9f146f9a0921093d9b53b053b4a8946c
Gerrit-Change-Number: 39780
Gerrit-PatchSet: 4
Gerrit-Owner: dexter <pmaier(a)sysmocom.de>
Gerrit-Reviewer: Jenkins Builder
Gerrit-Reviewer: laforge <laforge(a)osmocom.org>
Gerrit-Attention: laforge <laforge(a)osmocom.org>
Attention is currently required from: laforge.
Hello Jenkins Builder, laforge,
I'd like you to reexamine a change. Please visit
https://gerrit.osmocom.org/c/pysim/+/39780?usp=email
to look at the new patch set (#3).
The following approvals got outdated and were removed:
Code-Review+1 by laforge, Verified+1 by Jenkins Builder
Change subject: ara_m: add command to lock write access to the ARA-M rules.
......................................................................
ara_m: add command to lock write access to the ARA-M rules.
Recent versions of the ARA-M applet from Bertrand Martel can lock
the write access to ARA-M rules. Let's add a command for that and
some documentation.
Related: SYS#7245
Change-Id: I71581a0c9f146f9a0921093d9b53b053b4a8946c
---
M docs/shell.rst
M pySim/ara_m.py
2 files changed, 24 insertions(+), 1 deletion(-)
git pull ssh://gerrit.osmocom.org:29418/pysim refs/changes/80/39780/3
--
To view, visit https://gerrit.osmocom.org/c/pysim/+/39780?usp=email
To unsubscribe, or for help writing mail filters, visit https://gerrit.osmocom.org/settings?usp=email
Gerrit-MessageType: newpatchset
Gerrit-Project: pysim
Gerrit-Branch: master
Gerrit-Change-Id: I71581a0c9f146f9a0921093d9b53b053b4a8946c
Gerrit-Change-Number: 39780
Gerrit-PatchSet: 3
Gerrit-Owner: dexter <pmaier(a)sysmocom.de>
Gerrit-Reviewer: Jenkins Builder
Gerrit-Reviewer: laforge <laforge(a)osmocom.org>
Gerrit-Attention: laforge <laforge(a)osmocom.org>
Attention is currently required from: laforge.
dexter has posted comments on this change by dexter. ( https://gerrit.osmocom.org/c/pysim/+/39780?usp=email )
Change subject: ara_m: add command to lock write access to the ARA-M rules.
......................................................................
Patch Set 3:
(1 comment)
File docs/shell.rst:
https://gerrit.osmocom.org/c/pysim/+/39780/comment/e7141efd_406dc6a8?usp=em… :
PS2, Line 1022: NOTE: Proprietary feature that is specific to Bertrand Martel's ARA-M
> "ARA-M Locking is a proprietary feature that is specific to sysmocom's fork of Bertrand Martel's ARA […]
As far as I can see there is no activity on the original repo.
--
To view, visit https://gerrit.osmocom.org/c/pysim/+/39780?usp=email
To unsubscribe, or for help writing mail filters, visit https://gerrit.osmocom.org/settings?usp=email
Gerrit-MessageType: comment
Gerrit-Project: pysim
Gerrit-Branch: master
Gerrit-Change-Id: I71581a0c9f146f9a0921093d9b53b053b4a8946c
Gerrit-Change-Number: 39780
Gerrit-PatchSet: 3
Gerrit-Owner: dexter <pmaier(a)sysmocom.de>
Gerrit-Reviewer: Jenkins Builder
Gerrit-Reviewer: laforge <laforge(a)osmocom.org>
Gerrit-Attention: laforge <laforge(a)osmocom.org>
Gerrit-Comment-Date: Tue, 01 Apr 2025 11:07:48 +0000
Gerrit-HasComments: Yes
Gerrit-Has-Labels: No
Comment-In-Reply-To: laforge <laforge(a)osmocom.org>
Attention is currently required from: laforge, pespin.
fixeria has posted comments on this change by fixeria. ( https://gerrit.osmocom.org/c/osmo-ttcn3-hacks/+/39881?usp=email )
Change subject: s1gw: ConnHdlr: allow passing {MME,ENB}-UE-S1AP-ID
......................................................................
Patch Set 3:
(1 comment)
Patchset:
PS3:
> Ack, I'd at least probably add a new record containing both "MME_UE_S1AP_ID mme_ue_id" and "ENB_UE_S […]
What you're suggesting is not possible because the `f_ConnHdlr_...` API cannot be used by the UE (`UEMuxUE`) components directly. It's a generic per-eNB connection API that is already used by other testcases. This API will also be invoked by the UEMux (`UEMux_CT` aka the UE orchestrator) component on behalf of the UE components.
Both `MME_UE_S1AP_ID` and `ENB_UE_S1AP_ID` are already part of the UE (`UEMuxUE`) component state, and they do not have to pass these IDs explicitly because the UEMux component knows them and will transparently pass them to the `f_ConnHdlr_...` API (see follow-up patches).
--
To view, visit https://gerrit.osmocom.org/c/osmo-ttcn3-hacks/+/39881?usp=email
To unsubscribe, or for help writing mail filters, visit https://gerrit.osmocom.org/settings?usp=email
Gerrit-MessageType: comment
Gerrit-Project: osmo-ttcn3-hacks
Gerrit-Branch: master
Gerrit-Change-Id: Ife37c77cff348cdfbde191dbad6da816e68ca941
Gerrit-Change-Number: 39881
Gerrit-PatchSet: 3
Gerrit-Owner: fixeria <vyanitskiy(a)sysmocom.de>
Gerrit-Reviewer: Jenkins Builder
Gerrit-Reviewer: laforge <laforge(a)osmocom.org>
Gerrit-Reviewer: pespin <pespin(a)sysmocom.de>
Gerrit-Attention: laforge <laforge(a)osmocom.org>
Gerrit-Attention: pespin <pespin(a)sysmocom.de>
Gerrit-Comment-Date: Tue, 01 Apr 2025 09:00:58 +0000
Gerrit-HasComments: Yes
Gerrit-Has-Labels: No
Comment-In-Reply-To: laforge <laforge(a)osmocom.org>
Comment-In-Reply-To: pespin <pespin(a)sysmocom.de>